﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace sra
{
    /// <summary>
    /// Logique d'interaction pour App.xaml
    /// </summary>
    public partial class App : Application
    {
        public static String[] mArgs;

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            // dans mArgs[0] : adresse bus + port
            // dans mArgs[1] : dictation ou grammaire
            // dans mArgs[2] : nom de la grammaire
            // dans mArgs[3] : langue
            mArgs = new String[]{"-b","127.255.255.255:2010","-p", "off", "-g", "grammar.grxml", "-l", "fr-FR"};
 
            if (e.Args.Length > 0)
            {
                mArgs = e.Args;
            }
        }
    }
}
